Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.MouseButton

    java.lang.Object
      java.lang.Enum<Qt.MouseButton>
          com.trolltech.qt.core.Qt.MouseButton

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.MouseButton>

Enclosing interface:
  Qt

    public static enum Qt.MouseButton

extends java.lang.Enum<Qt.MouseButton>
implements QtEnumerator

This enum type describes the different mouse buttons.

See Also:
  `KeyboardModifier`, Modifier

Enum Constant Summary
`LeftButton` The left button is pressed, or an event refers to the left button.
`MidButton` The middle button.
`MouseButtonMask` Internal.
`NoButton` The button state does not refer to any button (see QMouseEvent::button()).
`RightButton` The right button.
`XButton1` The first X button.
`XButton2` The second X button.

Method Summary
`static Qt.MouseButtons` | `createQFlags(Qt.MouseButton... values)`
`static Qt.MouseButton` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.MouseButton` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.MouseButton[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoButton

    public static final Qt.MouseButton NoButton

  The button state does not refer to any button (see QMouseEvent::button()).

### LeftButton

    public static final Qt.MouseButton LeftButton

  The left button is pressed, or an event refers to the left button. (The left button may be the right button on left-handed mice.)

### RightButton

    public static final Qt.MouseButton RightButton

  The right button.

### MidButton

    public static final Qt.MouseButton MidButton

  The middle button.

### XButton1

    public static final Qt.MouseButton XButton1

  The first X button.

### XButton2

    public static final Qt.MouseButton XButton2

  The second X button.

### MouseButtonMask

    public static final Qt.MouseButton MouseButtonMask

  Internal.

Method Detail

### values

    public static final Qt.MouseButton[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.MouseButton c : Qt.MouseButton.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.MouseButton valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static Qt.MouseButtons createQFlags(Qt.MouseButton... values)

### resolve

    public static Qt.MouseButton resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD